Bug 2092 - spec summary
: spec summary
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnumeric)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-29 13:13 by
Modified: 2007-12-20 01:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-29 13:13:32
Описание пакета в спеке достаточно сильно устарело. Более адекватным было бы:

\"Gnumeric - это современная полнофункциональная программа для работы с
электронными таблицами, основанная на компонентной модели Bonobo, что позволяет
существенно расширить заложенные в программу функциональные возможности.
Gnumeric содержит встроенную систему подсказки к функциям, средства анализа и
умеет строить графики при помощи Guppi. Программа поддерживает приблизительно
95% функций, имеющихся в MS Excel, дополнить которые можно своими собственными
функциями, написанными на языке Python.  Среди поддерживаемых форматов  - Lotus
1-2-3, MS Excel 95/98/2000/XP, SYLK.\"
---

---
Можно перевести на английский: \"Gnumeric is a modern full-featured
spreadsheet program, based on Bonobo component model, which makes Gnumeric
significantly feature-extendable. Gnumeric contains built-in functions help
system, analysis tools and plotting interface via Guppi. There are nearly 95%
of all Excel functions implemented in Gnumeric besides a possibility to write
your own functions in Python. There are Lotus 1-2-3, MS Excel 95/98/2000/XP,
SYLK among supported third party formats.\"
------- Comment #1 From 2004-05-24 15:37:10 -------
на мантейнера 
 
------- Comment #2 From 2005-12-07 10:46:37 -------
Ну как раз с summary там всё в порядке. А вот description я подправлю. С той
лишь разницей что gnumeric более не пользуется Guppi, а как и abiword,
использует библиотеку libgnomeoffice.
------- Comment #3 From 2006-12-16 21:21:48 -------
orphaned/gnumeric-1.6.1-alt1.1.src.rpm

Судя по нижеследующему в libgnomeoffice-0.3.4-alt1.src.rpm -- пакетом будто
решил swi@ занялся?

* Tue Dec 05 2006 Alexey Morsov <swi@altlinux.ru> 0.3.4-alt1
- build new version (for gnumeric 1.7.5)

PS: если что, я успел местами починить 1.6.3, но оно пока взорвалось об слишком
новый libgnomeoffice, хотит 0.2.x.
------- Comment #4 From 2006-12-17 13:35:20 -------
(In reply to comment #3)
> orphaned/gnumeric-1.6.1-alt1.1.src.rpm
> 
> Судя по нижеследующему в libgnomeoffice-0.3.4-alt1.src.rpm -- пакетом будто
> решил swi@ занялся?
> 
> * Tue Dec 05 2006 Alexey Morsov <swi@altlinux.ru> 0.3.4-alt1
> - build new version (for gnumeric 1.7.5)
> 
> PS: если что, я успел местами починить 1.6.3, но оно пока взорвалось об слишком
> новый libgnomeoffice, хотит 0.2.x.

Вообще-то у меня уже собран (и у меня работает вроде) gnumeric 1.7.5 (именно под
него я gnomeoffice и обновил). Залить не могу потому что жду обновления libgsf
ktirf-ом. Или NMU от него.
------- Comment #5 From 2006-12-18 15:10:03 -------
Тю.

$ grep 'libgsf[[:space:]]' Sisyphus/files/list/list.src.classic
libgsf  ktirf swi
------- Comment #6 From 2006-12-18 16:15:50 -------
> $ grep 'libgsf[[:space:]]' Sisyphus/files/list/list.src.classic
> libgsf  ktirf swi
Ура. Залил в инкаминг libgsf и gnumeric. Описание поправил в соответствии с
пожеланием (повыкидывал про Bonobo и guppi так как ни того ни другого уже там нет).

------- Comment #7 From 2006-12-19 11:54:10 -------
Собственно 1.7.5 уже в сизифе, 1.7.6 уже в инкаминге.